---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    labels:
      provider: fabric8
      project: funktion-operator
      version: 1.0.0
      group: io.fabric8.funktion.apps
    name: funktion-operator
- apiVersion: extensions/v1beta1
  kind: Deployment
  metadata:
    annotations:
      fabric8.io/git-commit: cc05a0de4e6626f529e4b2cba6e2d53df87a8eed
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=funktion-operator&var-version=1.0.0
      fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-operator
      fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/funktion-operator
      fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/funktion-operator/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v1.0.0
      fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-operator
      fabric8.io/scm-tag: app-console-2.0.1
    labels:
      provider: fabric8
      project: funktion-operator
      version: 1.0.0
      group: io.fabric8.funktion.apps
    name: funktion-operator
  spec:
    replicas: 1
    selector:
      matchLabels:
        project: funktion-operator
        provider: fabric8
        group: io.fabric8.funktion.apps
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: cc05a0de4e6626f529e4b2cba6e2d53df87a8eed
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=funktion-operator&var-version=1.0.0
          fabric8.io/scm-con-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-operator
          fabric8.io/scm-url: http://github.com/funktionio/funktion-platform/apps/funktion-operator
          fabric8.io/iconUrl: https://cdn.rawgit.com/funktionio/funktion-platform/master/apps/funktion-operator/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v1.0.0
          fabric8.io/scm-devcon-url: scm:git:git@github.com:funktionio/funktion-platform.git/apps/funktion-operator
          fabric8.io/scm-tag: app-console-2.0.1
        labels:
          provider: fabric8
          project: funktion-operator
          version: 1.0.0
          group: io.fabric8.funktion.apps
      spec:
        containers:
        - command:
          - /bin/operator
          - operate
          env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: funktion/funktion:1.0.12
          imagePullPolicy: IfNotPresent
          name: funktion
        serviceAccountName: funktion-operator
